#!/bin/ash
#
# This script prints forensics log for engineering to debug a problem.

. /usr/local/bin/sig_catcher

echo "===== Forensics time stamp start ====="

if [ -e /mnt/logs/forensics/forensics_logs/timestamp ]; then
	cat /mnt/logs/forensics/forensics_logs/timestamp
else
	echo "Watchdog L2 Timer is never expired. There is no forensics timestamp."
fi

echo "===== Forensics time stamp end ====="
echo "===== Scratch Pad data start =====" 

# Trigger SRAM read and decode
/usr/local/bin/scratchpad read 
  
echo "==== Scratch Pad data complete ===" 

# more fifo etc on absolute

exit 0
